Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class AnnotationConstantExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.ConstantExpression
                      org.codehaus.groovy.ast.expr.AnnotationConstantExpression

    public class AnnotationConstantExpression
    extends ConstantExpression

Represents an annotation "constant" that may appear in annotation attributes (mainly used as a marker).

Version:
  $Revision: 3264 $
Author:
  Alex Popescu

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class org.codehaus.groovy.ast.expr.ConstantExpression
`EMPTY_EXPRESSION, EMPTY_STRING, FALSE, NULL, TRUE, VOID`

Constructor Summary
Constructor and Description
`AnnotationConstantExpression(AnnotationNode node)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.expr.ConstantExpression
`getConstantName, getText, getValue, isEmptyStringExpression, isFalseExpression, isNullExpression, isTrueExpression, setConstantName, toString, transformExpression`

Methods inherited from class org.codehaus.groovy.ast.expr.Expression
`getType, setType, transformExpressions, transformExpressions`

Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode
`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotationConstantExpression

    public AnnotationConstantExpression(AnnotationNode node)

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ConstantExpression`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD